Bug 1413582 - [RFE]Add "latest version" option to hammer content-view version promote command
Summary: [RFE]Add "latest version" option to hammer content-view version promote command
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Views
Version: 6.2.0
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-16 12:54 UTC by Sagar Lutade
Modified: 2020-09-10 10:07 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 19:08:43 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Sagar Lutade 2017-01-16 12:54:45 UTC
Description of problem:

Customer has many content views where he needs latest version of content view will be used for promotion 

Version-Release number of selected component (if applicable):
NA

How reproducible:

for environment in $all_environments; do
     hammer content-view version promote --organization $organization --content-view $content_view --version 3.0 --to-lifecycle-environment $environment
done

Customer needs to use for promotion of content view.

for environment in $all_environments; do
     hammer content-view version promote --organization $organization --content-view $content_view --version %LATEST% --to-lifecycle-environment $environment


Actual results:
Needs latest version content view to be promoted automatically

Expected results:
Content view to be promoted automatically

Additional info:

Comment 1 Bryan Kearney 2018-09-04 18:57:43 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Comment 2 Bryan Kearney 2018-09-04 19:08:43 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.


Note You need to log in before you can comment on or make changes to this bug.